'use strict';

var useFormStore = require('./presentation/hooks/use-form-store.cjs.js');
var useRequiredFields = require('./presentation/hooks/use-required-fields.cjs.js');
var fieldController_viewmodel = require('./presentation/viewmodel/field-controller.viewmodel.cjs.js');
var formFields_viewmodel = require('./presentation/viewmodel/form-fields.viewmodel.cjs.js');
var field_entity = require('./domain/entities/field.entity.cjs.js');
var rule_entity = require('./domain/entities/rule.entity.cjs.js');
var conditions = require('./domain/conditions.cjs.js');



exports.FormStoreProvider = useFormStore.FormStoreProvider;
exports.formStore = useFormStore.formStore;
exports.useFormStoreApi = useFormStore.useFormStoreApi;
exports.useRequiredFieldsByRules = useRequiredFields.useRequiredFieldsByRules;
exports.FieldController = fieldController_viewmodel.FieldController;
exports.FormFields = formFields_viewmodel.FormFields;
exports.createFields = field_entity.createFields;
exports.getRequiredFieldNames = field_entity.getRequiredFieldNames;
exports.validateField = field_entity.validateField;
exports.validateRules = rule_entity.validateRules;
Object.defineProperty(exports, "Condition", {
	enumerable: true,
	get: function () { return conditions.Condition; }
});
//# sourceMappingURL=index.cjs.js.map
