"use client";
'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var zustand = require('zustand');

function storeGenerator() {
    return zustand.create(() => ({}));
}
const formStore = react.createContext(storeGenerator());
// biome-ignore lint/complexity/noBannedTypes: <explanation>
const FormStoreProvider = ({ children }) => {
    const storeApi = react.useMemo(storeGenerator, []);
    return jsxRuntime.jsx(formStore.Provider, { value: storeApi, children: children });
};
function useFormStoreApi() {
    return react.useContext(formStore);
}

exports.FormStoreProvider = FormStoreProvider;
exports.formStore = formStore;
exports.useFormStoreApi = useFormStoreApi;
//# sourceMappingURL=use-form-store.cjs.js.map
