"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useMemo, useContext } from 'react';
import { create } from 'zustand';

function storeGenerator() {
    return create(() => ({}));
}
const formStore = createContext(storeGenerator());
// biome-ignore lint/complexity/noBannedTypes: <explanation>
const FormStoreProvider = ({ children }) => {
    const storeApi = useMemo(storeGenerator, []);
    return jsx(formStore.Provider, { value: storeApi, children: children });
};
function useFormStoreApi() {
    return useContext(formStore);
}

export { FormStoreProvider, formStore, useFormStoreApi };
//# sourceMappingURL=use-form-store.esm.js.map
