"use client";
'use strict';

var react = require('react');
var field_entity = require('../../domain/entities/field.entity.cjs.js');

function useRequiredFieldsByRules(watch, ...fields) {
    return react.useMemo(() => {
        if (!watch) {
            console.warn("watch is required");
            return {};
        }
        const requiredFieldNames = field_entity.getRequiredFieldNames(fields);
        if (requiredFieldNames.length === 0)
            return {};
        const requiredFieldValues = watch(requiredFieldNames);
        return requiredFieldValues.reduce((acc, curr, index) => {
            acc[requiredFieldNames[index]] = curr;
            return acc;
        }, {});
    }, [fields, watch]);
}

exports.useRequiredFieldsByRules = useRequiredFieldsByRules;
//# sourceMappingURL=use-required-fields.cjs.js.map
