"use client";
import { useMemo } from 'react';
import { getRequiredFieldNames } from '../../domain/entities/field.entity.esm.js';

function useRequiredFieldsByRules(watch, ...fields) {
    return useMemo(() => {
        if (!watch) {
            console.warn("watch is required");
            return {};
        }
        const requiredFieldNames = getRequiredFieldNames(fields);
        if (requiredFieldNames.length === 0)
            return {};
        const requiredFieldValues = watch(requiredFieldNames);
        return requiredFieldValues.reduce((acc, curr, index) => {
            acc[requiredFieldNames[index]] = curr;
            return acc;
        }, {});
    }, [fields, watch]);
}

export { useRequiredFieldsByRules };
//# sourceMappingURL=use-required-fields.esm.js.map
