'use strict';

var react = require('react');
var rule_entity = require('../../domain/entities/rule.entity.cjs.js');

function useFieldControllerModel({ fieldConfig, requiredFields = {}, storeApi, }) {
    react.useEffect(() => {
        const state = storeApi.getState();
        if (!state[fieldConfig.name]) {
            return;
        }
        const isActive = !fieldConfig.hidden && rule_entity.validateRules(fieldConfig, requiredFields, state);
        if (state[fieldConfig.name].active === isActive) {
            return;
        }
        storeApi.setState(() => {
            return {
                [fieldConfig.name]: { active: isActive },
            };
        });
    }, [fieldConfig, requiredFields, storeApi]);
    const fieldState = storeApi((selector) => selector[fieldConfig.name]);
    return { fieldState };
}

exports.useFieldControllerModel = useFieldControllerModel;
//# sourceMappingURL=field-controller.model.cjs.js.map
