import { useEffect } from 'react';
import { validateRules } from '../../domain/entities/rule.entity.esm.js';

function useFieldControllerModel({ fieldConfig, requiredFields = {}, storeApi, }) {
    useEffect(() => {
        const state = storeApi.getState();
        if (!state[fieldConfig.name]) {
            return;
        }
        const isActive = !fieldConfig.hidden && validateRules(fieldConfig, requiredFields, state);
        if (state[fieldConfig.name].active === isActive) {
            return;
        }
        storeApi.setState(() => {
            return {
                [fieldConfig.name]: { active: isActive },
            };
        });
    }, [fieldConfig, requiredFields, storeApi]);
    const fieldState = storeApi((selector) => selector[fieldConfig.name]);
    return { fieldState };
}

export { useFieldControllerModel };
//# sourceMappingURL=field-controller.model.esm.js.map
