'use strict';

var react = require('react');
var useFormStore = require('../hooks/use-form-store.cjs.js');

function useFormFieldsModel({ fields }) {
    const storeApi = useFormStore.useFormStoreApi();
    react.useEffect(() => {
        const fieldsState = storeApi.getState();
        const fieldsNotInState = fields.filter((fieldConfig) => !fieldsState[fieldConfig.name]);
        if (fieldsNotInState.length === 0) {
            return;
        }
        storeApi.setState(() => {
            return fieldsNotInState.reduce((acc, curr) => {
                acc[curr.name] = { active: true };
                return acc;
            }, {});
        });
    }, [storeApi, fields]);
    return {
        storeApi,
    };
}

exports.useFormFieldsModel = useFormFieldsModel;
//# sourceMappingURL=form-fields.model.cjs.js.map
