import { useEffect } from 'react';
import { useFormStoreApi } from '../hooks/use-form-store.esm.js';

function useFormFieldsModel({ fields }) {
    const storeApi = useFormStoreApi();
    useEffect(() => {
        const fieldsState = storeApi.getState();
        const fieldsNotInState = fields.filter((fieldConfig) => !fieldsState[fieldConfig.name]);
        if (fieldsNotInState.length === 0) {
            return;
        }
        storeApi.setState(() => {
            return fieldsNotInState.reduce((acc, curr) => {
                acc[curr.name] = { active: true };
                return acc;
            }, {});
        });
    }, [storeApi, fields]);
    return {
        storeApi,
    };
}

export { useFormFieldsModel };
//# sourceMappingURL=form-fields.model.esm.js.map
