'use strict';

var jsxRuntime = require('react/jsx-runtime');
var fieldController_model = require('../model/field-controller.model.cjs.js');
var fieldController_view = require('../view/field-controller.view.cjs.js');
var field_entity = require('../../domain/entities/field.entity.cjs.js');

function FieldControllerViewModel({ fieldConfig, requiredFields = {}, control, onChangeField, render: RenderItem, storeApi, }) {
    const { fieldState } = fieldController_model.useFieldControllerModel({
        fieldConfig,
        requiredFields,
        storeApi,
    });
    if (!fieldState || fieldState.active === false)
        return null;
    return (jsxRuntime.jsx(fieldController_view.FieldControllerView, { RenderItem: RenderItem, control: control, fieldConfig: fieldConfig, onChangeField: onChangeField, validateField: field_entity.validateField }));
}
const FieldController = FieldControllerViewModel;

exports.FieldController = FieldController;
//# sourceMappingURL=field-controller.viewmodel.cjs.js.map
