import { jsx } from 'react/jsx-runtime';
import { useFieldControllerModel } from '../model/field-controller.model.esm.js';
import { FieldControllerView } from '../view/field-controller.view.esm.js';
import { validateField } from '../../domain/entities/field.entity.esm.js';

function FieldControllerViewModel({ fieldConfig, requiredFields = {}, control, onChangeField, render: RenderItem, storeApi, }) {
    const { fieldState } = useFieldControllerModel({
        fieldConfig,
        requiredFields,
        storeApi,
    });
    if (!fieldState || fieldState.active === false)
        return null;
    return (jsx(FieldControllerView, { RenderItem: RenderItem, control: control, fieldConfig: fieldConfig, onChangeField: onChangeField, validateField: validateField }));
}
const FieldController = FieldControllerViewModel;

export { FieldController };
//# sourceMappingURL=field-controller.viewmodel.esm.js.map
