'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var formFields_model = require('../model/form-fields.model.cjs.js');
var fieldController_viewmodel = require('./field-controller.viewmodel.cjs.js');

function FormFields({ fields, ...props }) {
    const { storeApi } = formFields_model.useFormFieldsModel({ fields });
    return (jsxRuntime.jsx(jsxRuntime.Fragment, { children: fields.map((fieldConfig) => (react.createElement(fieldController_viewmodel.FieldController, { ...props, key: fieldConfig.name, fieldConfig: fieldConfig, storeApi: storeApi }))) }));
}

exports.FormFields = FormFields;
//# sourceMappingURL=form-fields.viewmodel.cjs.js.map
