import { jsx, Fragment } from 'react/jsx-runtime';
import { createElement } from 'react';
import { useFormFieldsModel } from '../model/form-fields.model.esm.js';
import { FieldController } from './field-controller.viewmodel.esm.js';

function FormFields({ fields, ...props }) {
    const { storeApi } = useFormFieldsModel({ fields });
    return (jsx(Fragment, { children: fields.map((fieldConfig) => (createElement(FieldController, { ...props, key: fieldConfig.name, fieldConfig: fieldConfig, storeApi: storeApi }))) }));
}

export { FormFields };
//# sourceMappingURL=form-fields.viewmodel.esm.js.map
